Update an activity
curl --request PUT \
--url https://api.morphic.io/api/activities/{activity_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "<string>",
"subject": "<string>",
"description": "<string>",
"priority": "<string>",
"status": "<string>",
"duration_minutes": 1,
"due_date": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
'import requests
url = "https://api.morphic.io/api/activities/{activity_id}"
payload = {
"type": "<string>",
"subject": "<string>",
"description": "<string>",
"priority": "<string>",
"status": "<string>",
"duration_minutes": 1,
"due_date": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
subject: '<string>',
description: '<string>',
priority: '<string>',
status: '<string>',
duration_minutes: 1,
due_date: '2023-11-07T05:31:56Z',
completed_at: '2023-11-07T05:31:56Z',
outcome: '<string>',
entity_type: '<string>',
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
company_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deal_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {}
})
};
fetch('https://api.morphic.io/api/activities/{activity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"description": "<string>",
"priority": "<string>",
"status": "<string>",
"duration_minutes": 1,
"due_date": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_name": "<string>",
"user_email": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Activities
Update an activity
Update an existing activity’s details.
PUT
/
api
/
activities
/
{activity_id}
Update an activity
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Path Parameters
Body
application/json
Maximum string length:
255Required range:
x >= 0Response
Successful Response
Activity type (email, meeting, call, note, task, stage_change, etc.)
Maximum string length:
255Required range:
x >= 0Primary entity type this activity is linked to
Primary entity ID this activity is linked to
User's name or email
User's email address
⌘I